summaryrefslogtreecommitdiffstats
path: root/meta/recipes-graphics/wayland/libinput/run-ptest
diff options
context:
space:
mode:
Diffstat (limited to 'meta/recipes-graphics/wayland/libinput/run-ptest')
-rw-r--r--meta/recipes-graphics/wayland/libinput/run-ptest9
1 files changed, 9 insertions, 0 deletions
diff --git a/meta/recipes-graphics/wayland/libinput/run-ptest b/meta/recipes-graphics/wayland/libinput/run-ptest
new file mode 100644
index 0000000000..d11e6eb25b
--- /dev/null
+++ b/meta/recipes-graphics/wayland/libinput/run-ptest
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+/usr/libexec/libinput/libinput-test-suite -j1
+if [ $? -eq 0 ]; then
+ echo 'PASS: libinput-test-suite'
+else
+ echo 'FAIL: libinput-test-suite'
+fi
+